Index: ocfs2-tools/vendor/common/o2cb.init.sh
===================================================================
--- ocfs2-tools.orig/vendor/common/o2cb.init.sh
+++ ocfs2-tools/vendor/common/o2cb.init.sh
@@ -8,7 +8,8 @@
 # Provides: o2cb
 # Required-Start: $network
 # Should-Start:
-# Required-Stop:
+# Should-Stop:
+# Required-Stop: $null
 # Default-Start: 2 3 5
 # Default-Stop:
 # Short-Description: Load O2CB cluster services at system boot.
@@ -653,7 +654,7 @@ status_filesystem()
 
 status_daemon()
 {
-    DAEMON="/sbin/ocfs2_controld.${O2CB_STACK}"
+    DAEMON="/usr/sbin/ocfs2_controld.${O2CB_STACK}"
     echo -n "Checking for control daemon: "
     if [ -n "$(pidofproc "$DAEMON")" ]
     then
@@ -682,6 +683,7 @@ bringup_daemon()
         fi
         sleep 1
     done
+    sleep 2
 
     return 0
 }
@@ -689,7 +691,7 @@ bringup_daemon()
 kill_daemon()
 {
     SIGNAL="$1"
-    DAEMON="/sbin/ocfs2_controld.${O2CB_STACK}"
+    DAEMON="/usr/sbin/ocfs2_controld.${O2CB_STACK}"
 
     status_daemon >/dev/null 2>&1 || return 2
 
Index: ocfs2-tools/vendor/common/ocfs2.init
===================================================================
--- ocfs2-tools.orig/vendor/common/ocfs2.init
+++ ocfs2-tools/vendor/common/ocfs2.init
@@ -8,9 +8,9 @@
 ### BEGIN INIT INFO
 # Provides: ocfs2
 # Required-Start: $network o2cb
-# Required-Stop: 
-# X-UnitedLinux-Should-Start:
-# X-UnitedLinux-Should-Stop:
+# Required-Stop: $null
+# Should-Start:
+# Should-Stop:
 # Default-Start:  2 3 5
 # Default-Stop:
 # Short-Description: Mount OCFS2 volumes at boot.
